package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 库位信息管理
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@TableName("erp_area_stock")
@Data
public class AreaStock implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(name = "id", value = "id")
    private Long id;

    @ApiModelProperty(name = "warehouseId", value = "仓库id")
    private Long warehouseId;

    @ApiModelProperty(name = "warehouse_id", value = "库位id")
    private Long warehouseAreaId;

    @ApiModelProperty(name = "warehouseAreaName", value = "库位名称")
    private String warehouseAreaName;

    @ApiModelProperty(name = "warehouse_id", value = "库存id")
    private Long productStockId;

    @TableField(exist = false)
    private GoodsDO goodsVO;

    @TableField(exist = false)
    private ProductDO productVO;

    @TableField(exist = false)
    private ProductStockDO productStockVO;

}
