package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * 换货单产品实体
 * @Author dmy
 * 2023-12-05
 */
@TableName("es_change_form_product")
@ApiModel
@Data
public class ChangeFormProduct implements Serializable {

    private static final long serialVersionUID = -4237870341806191017L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(hidden = true)
    private String id;
    /**
     * 换货单ID
     */
    @ApiModelProperty(name = "change_id", value = "换货单ID")
    private Long changeId;
    /**
     * 入库单ID
     */
    @ApiModelProperty(name = "stock_id", value = "入库单ID")
    private Long stockId;
    /**
     * 入库单编号
     */
    @ApiModelProperty(name = "stock_sn", value = "入库单编号")
    private String stockSn;
    /**
     * 入库单明细id
     */
    @ApiModelProperty(name = "stock_item_id", value = "入库单明细id")
    private Long stockItemId;
    /**
     * 入库批次ID
     */
    @ApiModelProperty(name = "stock_batch_id", value = "入库批次ID")
    private Long stockBatchId;
    /**
     * 入库批次编号
     */
    @ApiModelProperty(name = "stock_batch_sn", value = "入库批次编号")
    private String stockBatchSn;
    /**
     * 商品ID
     */
    @ApiModelProperty(name = "goods_id", value = "商品ID")
    private Long goodsId;
    /**
     * 产品ID
     */
    @ApiModelProperty(name = "product_id", value = "产品ID")
    private Long productId;
    /**
     * 产品名称
     */
    @ApiModelProperty(name = "product_name", value = "产品名称")
    private String productName;
    /**
     * 产品编号
     */
    @ApiModelProperty(name = "product_sn", value = "产品编号")
    private String productSn;
    /**
     * 产品规格
     */
    @ApiModelProperty(name = "specification", value = "产品规格")
    private String specification;
    /**
     * 分类ID
     */
    @ApiModelProperty(name = "category_id", value = "分类ID")
    private Long categoryId;
    /**
     * 分类名称
     */
    @ApiModelProperty(name = "category_name", value = "分类名称")
    private String categoryName;
    /**
     * 产品单位
     */
    @ApiModelProperty(name = "unit", value = "产品单位")
    private String unit;
    /**
     * 数量
     */
    @ApiModelProperty(name = "num", value = "数量")
    private Integer num;
    /**
     * 金额
     */
    @ApiModelProperty(name = "amount", value = "金额")
    private Double amount;
    /**
     * 成本价
     */
    @ApiModelProperty(name = "cost_price", value = "成本价")
    private Double costPrice;
    /**
     * 产品类型 0：退货，1：换货
     */
    @ApiModelProperty(name = "type", value = "产品类型 0：退货，1：换货")
    private Integer type;
}
