package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import com.hys.app.model.erp.dto.ProductDTO;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;


/**
 * 商品实体类
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@TableName("erp_goods")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsDO extends BaseDO {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty(name = "imageList", value = "商品相册")
    private String hireOrSail;

    @ApiModelProperty(name = "name", value = "商品名称")
    private String name;

    @ApiModelProperty(name = "enName", value = "商品英文名称")
    private String enName;

    @ApiModelProperty(name = "sn", value = "商品编号")
    private String sn;

    @ApiModelProperty(name = "categoryId", value = "商品分类id")
    private Long categoryId;

    @ApiModelProperty(name = "brandId", value = "品牌id")
    private Long brandId;

    @ApiModelProperty(name = "marketEnable", value = "是否上架 true上架")
    private Boolean marketEnable;


    @ApiModelProperty(name = "goodsUnit", value = "商品单位")
    private String goodsUnit;

    @ApiModelProperty(name = "allowSn", value = "是否启用序列号1是2否")
    private Integer allowSn;

    @ApiModelProperty(name = "imageList", value = "商品相册")
    private String images;


    @ApiModelProperty(name = "imageList", value = "商品图标")
    private String imageSmallList;

    @ApiModelProperty(name = "video", value = "商品视频")
    private String video;

    @ApiModelProperty(name = "haveSpec", value = "是否有规格")
    private Boolean spec;

    @ApiModelProperty(name = "description", value = "商品详情")
    private String description;

    @ApiModelProperty(name = "freightTemplate_id", value = "运费模板id（0代表包邮）")
    private Long freightTemplateId;

    @ApiModelProperty(name = "是否有序列号", value = "商品视频")
    private Boolean haveSn;

    private Long  sort;

    @TableLogic
    private Boolean  deleted;

}
