package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import com.hys.app.model.erp.enums.WarehouseEntryStatusEnum;
import com.hys.app.model.erp.enums.WarehouseEntyrTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


/**
 * 入库单实体类
 *
 * @author 张崧
 * @since 2023-12-05 11:25:07
 */
@TableName("erp_item_sn_code")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ItemSnCodeDO extends BaseDO {

    private static final long serialVersionUID = 1L;
    
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty(name = "entryOutHouseId", value = "主表id")
    private Long entryOutHouseId;

    @ApiModelProperty(name = "itemId", value = "子表id")
    private Long itemId;

    @ApiModelProperty(name = "snCodeId", value = "sncode")
    private Long snCodeId;

    @ApiModelProperty(name = "supplier_id", value = "入库出库类型  入库In出库out")
    private String type;

}
