package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotBlank;


/**
 * 商品实体类
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@TableName("erp_pay_type")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class PayTypeDO extends BaseDO {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty("name")
    @NotBlank()
    private String name;

    @ApiModelProperty("code")
    private String code;

    @ApiModelProperty("店铺id")
    private String merchantId;

    @ApiModelProperty("appid")
    private String appid;

    @ApiModelProperty("公钥")
    private String publicKey;

    @ApiModelProperty("私钥")
    private String privateKey;

    @ApiModelProperty("私钥")
    private Boolean deleted;
}
