package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import com.hys.app.model.erp.dto.ProductDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


/**
 * 商品实体类
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@TableName("erp_sale_channel")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SaleChannelDO extends BaseDO {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(name = "id", value = "id")
    private Long id;

    @ApiModelProperty(name = "name", value = "名称")
    private String name;

    @ApiModelProperty(name = "intro", value = "介绍")
    private String intro;

    @ApiModelProperty(name = "main_user", value = "负责人")
    private String mainUser;

    @ApiModelProperty(name = "bonus", value = "佣金")
    private Float bonus;

    @ApiModelProperty(name = "create_time", value = "创建时间")
    private Long createTime;

    @ApiModelProperty(name = "status", value = "状态")
    private String status;
}
