package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Objects;

/**
 * 库存报损单产品实体
 *
 * @author dmy
 * 2023-12-05
 */
@TableName("es_stock_damage_report_product")
@ApiModel
@Data
public class StockDamageReportProduct implements Serializable {

    private static final long serialVersionUID = -3018714217635930969L;

    /**
     * 主键ID
     */
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(hidden = true)
    private Long id;
    /**
     * 报损单ID
     */
    @ApiModelProperty(name = "report_id", value = "报损单ID")
    private Long reportId;
    /**
     * 入库单编号
     */
    @ApiModelProperty(name = "stock_sn", value = "入库单编号")
    private String stockSn;
    /**
     * 批次ID
     */
    @ApiModelProperty(name = "batch_id", value = "批次ID")
    private Long batchId;
    /**
     * 批次编号
     */
    @ApiModelProperty(name = "batch_sn", value = "批次编号")
    private String batchSn;
    /**
     * 商品ID
     */
    @ApiModelProperty(name = "goods_id", value = "商品ID")
    private Long goodsId;
    /**
     * 产品ID
     */
    @ApiModelProperty(name = "product_id", value = "产品ID")
    private Long productId;
    /**
     * 产品名称
     */
    @ApiModelProperty(name = "product_name", value = "产品名称")
    private String productName;
    /**
     * 产品编号
     */
    @ApiModelProperty(name = "product_sn", value = "产品编号")
    private String productSn;
    /**
     * 产品规格
     */
    @ApiModelProperty(name = "specification", value = "产品规格")
    private String specification;
    /**
     * 分类ID
     */
    @ApiModelProperty(name = "category_id", value = "分类ID")
    private Long categoryId;
    /**
     * 分类名称
     */
    @ApiModelProperty(name = "category_name", value = "分类名称")
    private String categoryName;
    /**
     * 产品单位
     */
    @ApiModelProperty(name = "unit", value = "产品单位")
    private String unit;
    /**
     * 单价
     */
    @ApiModelProperty(name = "price", value = "单价")
    private Double price;
    /**
     * 成本价
     */
    @ApiModelProperty(name = "cost_price", value = "成本价")
    private Double costPrice;
    /**
     * 税率
     */
    @ApiModelProperty(name = "tax_rate", value = "税率")
    private Double taxRate;
    /**
     * 库存数量
     */
    @ApiModelProperty(name = "stock_num", value = "库存数量")
    private Integer stockNum;
    /**
     * 报损数量
     */
    @ApiModelProperty(name = "report_num", value = "报损数量")
    private Integer reportNum;
    /**
     * 备注
     */
    @ApiModelProperty(name = "report_remark", value = "备注")
    private String reportRemark;
    /**
     * 类型  0：增加，1：减少
     */
    @ApiModelProperty(name = "type", value = "类型 0：增加，1：减少")
    private Integer type;

    @ApiModelProperty(name = "product_stock_id", value = "商品库存id")
    private Long productStockId;

}
