package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 库位信息管理
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@TableName("erp_warehouse_area")
@Data
public class WarehouseAreaDO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(name = "id", value = "id")
    private Long id;

    @ApiModelProperty(name = "warehouse_id", value = "仓库id")
    private Long warehouseId;

    @ApiModelProperty(name = "code", value = "编号")
    private String code;

    @ApiModelProperty(name = "name", value = "名称")
    private String name;

    @ApiModelProperty(name = "intro", value = "说明")
    private String intro;

    @ApiModelProperty(name = "type", value = "类型")
    private String type;

    @ApiModelProperty(name = "create_time", value = "创建时间")
    private Integer createTime;

    @ApiModelProperty(name = "status", value = "状态")
    private String status;


    @ApiModelProperty(name = "status", value = "库存ID")
    @TableField(exist = false)
    private List<Long> stockIdList;
}
