package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;


/**
 * 库位信息管理
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@TableName("erp_warehouse_area_type")
@Data
public class WarehouseAreaTypeDO implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(name = "id", value = "id")
    private Long id;

    @ApiModelProperty(name = "name", value = "名称")
    @NotBlank(message = "名称不能为空")
    private String name;

    @ApiModelProperty(name = "code", value = "编号")
    @NotBlank(message = "编码")
    private String code;

    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;

    @TableLogic
    @ApiModelProperty(name = "deleted", value = "是否删除")
    private Boolean deleted;
}
