package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;


/**
 * 仓库实体类
 *
 * @author 张崧
 * 2023-11-30 16:35:16
 */
@TableName("erp_warehouse")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseDO extends BaseDO {

    private static final long serialVersionUID = 1L;
    
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(name = "id", value = "仓库id")
    private Long id;

    @ApiModelProperty(name = "name", value = "仓库名称")
    @NotBlank(message = "仓库名称不能为空")
    private String name;

    @ApiModelProperty(name = "sn", value = "仓库编号")
    @NotBlank(message = "仓库编号不能为空")
    private String sn;

    @ApiModelProperty(name = "admin_id", value = "管理员id")
    @NotNull(message = "管理员id不能为空")
    private Long adminId;

    @ApiModelProperty(name = "user_name", value = "负责人名称")
    @NotBlank(message = "负责人名称")
    private String userName;

    @ApiModelProperty(name = "phone", value = "管理员id")
    @NotBlank(message = "仓库省市区")
    private String phone;

    @ApiModelProperty(name = "ware_pro_city_area", value = "管理员id")
    @NotBlank(message = "仓库省市区")
    private String wareProCityArea;

    @ApiModelProperty(name = "warehouse_address", value = "仓库地址")
    @NotBlank(message = "仓库地址")
    private String warehouseAddress;

    @ApiModelProperty(name = "remark", value = "备注")
    @NotBlank(message = "仓库地址")
    private String description;

    @TableLogic
    @ApiModelProperty(name = "deleted", value = "是否删除")
    private Boolean deleted;
}
