package com.hys.app.model.erp.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hys.app.model.erp.enums.CustomerTypeEnum;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import com.hys.app.model.goods.dos.GoodsParamsDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 商品新增/编辑DTO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
public class CustomerDTO {

    @JsonIgnore
    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty(name = "name", value = "客户名称")
    @NotBlank(message = "客户名称不能为空")
    private String name;

    @ApiModelProperty(name = "contact", value = "客户联系人")
//    @NotBlank(message = "客户联系人不能为空")
    private String contact;


    @ApiModelProperty(name = "gender", value = "性别")
    @NotBlank(message = "性别不能为空")
    private String gender;


    @ApiModelProperty(name = "mobile", value = "手机号码")
    @NotBlank(message = "手机号码不能为空")
    private String mobile;

    @ApiModelProperty(name = "email", value = "邮箱地址")
//    @NotBlank(message = "邮箱地址不能为空")
    private String email;

    @ApiModelProperty(name = "type", value = "客户类型")
    @NotNull(message = "客户类型不能为空")
    private CustomerTypeEnum type;


    @ApiModelProperty(name = "status", value = "客户状态")
//    @NotNull(message = "客户状态不能为空")
    private String status;

}

