package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import com.hys.app.model.erp.enums.SnCodeStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 商品查询参数
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsSnQueryParams extends BaseQueryParam {


    @ApiModelProperty(name = "sn_code", value = "序列号模糊查询")
    private String snCode;


    @ApiModelProperty(name = "sku", value = "sku模糊查询")
    private String sku;


    private SnCodeStatusEnum status;

}

