package com.hys.app.model.erp.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import com.hys.app.model.goods.dos.GoodsParamsDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 商品新增/编辑DTO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
public class GoodsUpdateDTO {


    @ApiModelProperty(name = "id", value = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long id;

    @ApiModelProperty(name = "market_enable", value = "是否上架 true上架")
    @NotNull(message = "状态不能为空")
    private Boolean marketEnable;

}

