package com.hys.app.model.erp.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hys.app.model.erp.dos.*;
import com.hys.app.model.system.dos.AdminUser;
import com.hys.app.model.system.dos.DeptDO;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 订单退货新增/编辑DTO
 *
 * @author 张崧
 * @since 2023-12-14 15:42:07
 */
@Data
public class OrderReturnDTO {

    @ApiModelProperty(hidden = true)
    private String id;

    @ApiModelProperty(name = "order_id", value = "要退货的订单")
    @NotNull(message = "要退货的订单不能为空")
    private String orderId;


    @ApiModelProperty(name = "return_time", value = "退货时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date returnTime;

    @ApiModelProperty(name = "return_remark", value = "退货说明")
    @NotBlank(message = "退货说明不能为空")
    private String returnRemark;



    @ApiModelProperty(name = "item_list", value = "退货项列表")
    private List<OrderReturnItemDTO> itemList;
}

