package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 商品库存查询参数
 *
 * @author 张崧
 * @since 2023-12-07 10:08:44
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductStockQueryParams extends BaseQueryParam {

    @ApiModelProperty(name = "warehouse_id", value = "仓库id")
    private Long warehouseId;

    @ApiModelProperty(name = "product_id", value = "skuid")
    private Long productId;

    @ApiModelProperty(name = "goods_id", value = "商品id")
    private Long goodsId;

    @ApiModelProperty(name = "keyword", value = "搜索关键字")
    private String keyword;

//
    @ApiModelProperty(name = "num", value = "库存数量")
    private Integer num;
    
}

