package com.hys.app.model.erp.dto;

import com.hys.app.model.erp.dos.AreaStock;
import com.hys.app.model.erp.dos.GoodsSnDO;
import com.hys.app.model.erp.vo.GoodsVO;
import com.hys.app.model.erp.vo.ProductVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 库存报损单产品实体DTO
 *
 * @author dmy
 * 2023-12-05
 */
@Data
public class StockDamageReportProductDTO implements Serializable {


    private Long id;

    @ApiModelProperty(name = "product_id", value = "skuID", required = true)
    @NotNull(message = "skuID不能为空")
    private Long productId;

    @ApiModelProperty(name = "report_num", value = "报损数量", required = true)
    @NotNull(message = "报损数量不能为空")
    private Integer reportNum;

    private GoodsVO goodsVO;

    private ProductVO productVO;

    @ApiModelProperty(name = "usable_stock", value = "可用库存")
    private Integer usableStock;

    @ApiModelProperty(name = "product_stock_id", value = "product_stock_id不能为空")
    private Long productStockId;

    @ApiModelProperty(name = "sn_code_list", value = "录入的序列号")
    List<GoodsSnDO> snCodeList;

    private List<AreaStock> areaStockList;




}
