package com.hys.app.model.erp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 调拨单商品明细新增/编辑DTO
 *
 * @author 张崧
 * @since 2023-12-12 16:34:15
 */
@Data
public class StockTransferProductDTO {

    @ApiModelProperty(name = "product_id", value = "skuid")
    @NotNull(message = "skuid不能为空")
    private Long productId;

    @ApiModelProperty(name = "num", value = "调拨数量")
    @NotNull(message = "调拨数量不能为空")
    @Min(value = 1, message = "调拨数量最小为1")
    private Integer num;

    @ApiModelProperty(name = "num", value = "调拨数量")
    @NotNull(message = "调拨时的库存数量")
    @Min(value = 1, message = "调拨数量最小为1")
    private Integer useAbleNum;

    @ApiModelProperty(name = "product_stock_id", value = "product_stock_id不能为空")
    private Long productStockId;

    private Long goodsId;

    
}

