package com.hys.app.model.erp.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hys.app.model.system.vo.MenuVO;
import com.hys.app.model.system.vo.MenusVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 商品新增/编辑DTO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
public class UserMenuDto {

    @JsonIgnore
    @ApiModelProperty(name = "id", value = "菜单id")
    private Long id;

    @ApiModelProperty(name = "user_id", value = "用户id")
    @NotBlank(message = "用户id")
    private Long userId;

    @ApiModelProperty(name = "menu_id", value = "菜单id")
    @NotBlank(message = "菜单id不能为空")
    private Long menuId;

    @ApiModelProperty(name = "menuVO", value = "菜单信息")
    private MenuVO menuVO;


}

