package com.hys.app.model.erp.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 仓库新增/编辑DTO
 *
 * @author 张崧
 * 2023-11-30 16:35:16
 */
@Data
public class WarehouseDTO {

    @ApiModelProperty(hidden = true)
    private String id;

    @ApiModelProperty(name = "name", value = "仓库名称")
    @NotBlank(message = "仓库名称不能为空")
    private String name;

    @ApiModelProperty(name = "sn", value = "仓库编号")
    @NotBlank(message = "仓库编号不能为空")
    private String sn;

    @ApiModelProperty(name = "admin_id", value = "管理员id")
    private Long adminId;

    @ApiModelProperty(name = "user_name", value = "负责人名称")
    @NotBlank(message = "负责人名称")
    private String userName;

    @ApiModelProperty(name = "ware_pro_city_area", value = "手机号")
    @NotBlank(message = "手机号")
    private String phone;

    @ApiModelProperty(name = "ware_pro_city_area", value = "仓库省市区")
    @NotBlank(message = "仓库省市区")
    private String wareProCityArea;

    @ApiModelProperty(name = "warehouse_address", value = "仓库地址")
    @NotBlank(message = "仓库地址")
    private String warehouseAddress;

    @ApiModelProperty(name = "remark", value = "备注")
    @NotBlank(message = "备注")
    private String description;

}

