package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.GoodsDO;
import com.hys.app.model.erp.dto.ProductDTO;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import com.hys.app.model.goods.vo.GoodsParamsGroupVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * 商品VO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsVO extends GoodsDO {

    @ApiModelProperty(name = "product_list", value = "产品列表")
    private List<ProductDTO> productList;

    @ApiModelProperty(name = "imageList", value = "商品相册")
    private List<GoodsGalleryDO> imageList;


}

