package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.ProductDO;
import io.swagger.annotations.ApiModel;
import com.hys.app.model.erp.dos.OrderItemDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 订单明细详情
 *
 * @author 张崧
 * 2024-01-24 16:39:38
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@ApiModel(value = "订单明细详情")
public class OrderItemVO extends OrderItemDO {

    @ApiModelProperty(name = "goods_id", value = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long goodsId;

    @ApiModelProperty(name = "out_num", value = "出库数量")
    @NotNull(message = "出库数量不能为空")
    @Min(value = 1, message = "出库数量最小为1")
    private Integer outNum;

    private GoodsVO goodsVO;

    private ProductDO productVO;

    private Integer useAbleStock;
}

