package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.OrderReturnItemDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * 订单退货项VO
 *
 * @author 张崧
 * @since 2023-12-14 15:42:07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderReturnItemVO extends OrderReturnItemDO {

    @ApiModelProperty(name = "order_item_id", value = "订单项id（订单类型为ToC时必传）")
    private Long orderItemId;

    @ApiModelProperty(name = "num", value = "原订单数量")
    private Integer num;

    @ApiModelProperty(name = "return_num", value = "退货数量")
    @NotNull(message = "退货数量不能为空")
    private Integer returnNum;

    private GoodsVO goodsVO;

    private ProductVO productVO;

}

