package com.hys.app.model.erp.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hys.app.model.erp.dos.OrderReturnDO;
import com.hys.app.model.erp.dto.OrderReturnItemDTO;
import com.hys.app.model.erp.enums.ReturnOrderStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 订单退货VO
 *
 * @author 张崧
 * @since 2023-12-14 15:42:07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderReturnVO extends OrderReturnDO {


    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty(name = "order_id", value = "要退货的订单")
    private Long orderId;

    @ApiModelProperty(name = "return_remark", value = "退货说明")
    private String returnRemark;

    @ApiModelProperty(name = "item_list", value = "退货项列表")
    private List<OrderReturnItemVO> itemList;

    @ApiModelProperty(name = "return_order_status", value = "售后状态")
    private ReturnOrderStatusEnum status;

}

