package com.hys.app.model.erp.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.hys.app.model.erp.dos.ProductDO;
import com.hys.app.model.erp.dos.ProductStockDO;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * 商品库存详情
 *
 * @author 张崧
 * @since 2023-12-07 10:08:44
 */
@Data

@ToString(callSuper = true)
public class ProductStockV1  {

    @ApiModelProperty(name = "id", value = "id")
    private Long id;
    @ApiModelProperty(name = "warehouse_id", value = "仓库id")
    private Long warehouseId;

    @ApiModelProperty(name = "warehouse_name", value = "仓库名称")
    private String warehouseName;

    @ApiModelProperty(name = "goods_id", value = "商品id")
    private Long goodsId;

    @ApiModelProperty(name = "goods_name", value = "商品名称")
    private String goodsName;

    @ApiModelProperty(name = "goods_bar_code", value = "商品条码")
    private String goodsBarCode;

    @ApiModelProperty(name = "goods_sn_code", value = "商品序列号")
    private String goodsSnCode;

    @ApiModelProperty(name = "sn", value = "商品编号")
    private String sn;

    @ApiModelProperty(name = "goods_style", value = "商品规格型号")
    private String goodsStyle;


    @ApiModelProperty(name = "goods_unit", value = "商品单位")
    private String goodsUnit;


    @ApiModelProperty(name = "product_id", value = "产品id")
    private Long productId;

    @ApiModelProperty(name = "productName", value = "产品名称")
    private String productName;


    @ApiModelProperty(name = "area_id", value = "库位ID")
    private Long areaId;


    @ApiModelProperty(name = "area_name", value = "库位名称")
    private String areaName;

    @ApiModelProperty(name = "actual_stock", value = "实际库存")
    private String actualStock;

    @ApiModelProperty(name = "usable_stock", value = "可用库存")
    private String usableStock;

    @ApiModelProperty(name = "transit_Stock", value = "在途库存")
    private String transitStock;

    @ApiModelProperty(name = "warning_stock", value = "预警库存")
    private String warningStock;

    @ApiModelProperty(name = "warning_stock", value = "预警库存")
    @TableField(exist = false)
    private ProductDO productVO;

    @ApiModelProperty(name = "locked_stock", value = "冻结库存")
    private String lockedStock;


    List<GoodsGalleryDO> galleryList;





}

