package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.AreaStock;
import com.hys.app.model.erp.dos.ProductStockDO;
import com.hys.app.model.erp.dos.WarehouseDO;
import com.hys.app.model.goods.vo.GoodsParamsGroupVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * 商品库存详情
 *
 * @author 张崧
 * @since 2023-12-07 10:08:44
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductStockVO extends ProductStockDO {

    @ApiModelProperty(name = "warehouse_area", value = "库位")
    private WarehouseAreaVO warehouseArea;


    @ApiModelProperty(name = "warehouse", value = "仓库")
    private WarehouseDO warehouseVO;

    @ApiModelProperty(name = "product", value = "产品信息")
    private ProductVO productVO;

    @ApiModelProperty(name = "goods", value = "商品信息")
    private GoodsVO goodsVO;

    private  List<AreaStock> areaStockList;

    @ApiModelProperty(name = "scan_order_item_id", value = "商品信息")
    private Long scanOrderItemId;
}

