package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.GoodsSnDO;
import com.hys.app.model.erp.dos.ProductDO;
import com.hys.app.model.erp.dos.WarehouseEntryBatchDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * 入库批次详情
 *
 * @author 张崧
 * @since 2023-12-08 11:49:52
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseEntryBatchVO extends WarehouseEntryBatchDO {

    @ApiModelProperty(name = "product", value = "产品")
    private ProductDO product;

    @ApiModelProperty(name = "scan_order_id", value = "扫码的单号，扫码订单打出来的数据必传")
    private Long scanOrderId;

    @ApiModelProperty(name = "order_item_id", value = "订单项id,扫码订单打出来的数据必传")
    private Long scanOrderItemId;

    @ApiModelProperty(name = "scan_order_sn", value = "扫码的单号，扫码订单打出来的数据必传")
    private String scanOrderSn;


    @ApiModelProperty(name = "scan_iff_num", value = "差异数量，扫码订单打出来的数据必传")
    private Integer scanDiffNum;

    @ApiModelProperty(name = "scan_iff_num", value = "序列号")
    List<GoodsSnDO> snCodeList;

    @ApiModelProperty(name = "product_stock_id", value = "product_stock_id不能为空")
    private Long productStockId;
}

