package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.WarehouseOutDO;
import com.hys.app.model.erp.dos.WarehouseOutItemDO;
import com.hys.app.model.erp.dto.WarehouseOutProductDTO;
import com.hys.app.model.erp.enums.WarehouseOutTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 出库单详情
 *
 * @author 张崧
 * @since 2023-12-07 16:50:20
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseOutVO extends WarehouseOutDO {

    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty(name = "out_time", value = "出库日期")
    private Long outTime;

    @ApiModelProperty(name = "warehouse_consignee_id", value = "仓库提货人id")
    private Long warehouseConsigneeId;

    @ApiModelProperty(name = "notes", value = "备注")
    private String notes;

    @ApiModelProperty(name = "type", value = "出库类型")
    private WarehouseOutTypeEnum type;

    @ApiModelProperty(value = "操作類型")
    private String saveOrSubmit;

    @ApiModelProperty(name = "product_list", value = "商品明细列表")
    private List<WarehouseOutProductDTO> productList;

    @ApiModelProperty(name = "warehouse_id", value = "仓库id")
    private Long warehouseId;

    @ApiModelProperty(name = "order_id_list", value = "订单id集合")
    private Long orderIdList;

}

