package com.hys.app.pay.ali;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;


@Configuration
@ConfigurationProperties(prefix = "alipay")
@Data
public class AliConfig {
    /**
     * APPID
     */
    private String appId;
    /**
     * 应用私钥
     */
    private String appPrivateKey;
    /**
     * 阿里公钥
     */
    private String alipayPublicKey;
    /**
     * 阿里调用我们的地址【内网穿透】
     */
    private String notifyUrl;
    /**
     * 网关地址
     */
    private String serverUrl;
    /**
     * 数据格式
     */
    private String format;
    /**
     * 编码格式
     */
    private String charset;
    /**
     * 签名方式,签名算法
     */
    private String signType;
}