package com.hys.app.service.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.OrderDO;
import com.hys.app.model.erp.dos.SaleChannelDO;
import com.hys.app.model.erp.dto.*;
import com.hys.app.model.erp.vo.OrderVO;
import com.hys.app.model.erp.vo.SaleChannelV0;

import java.util.List;

/**
 * 订单业务层接口
 *
 * @author 张崧
 * 2024-01-24 15:58:31
 */
public interface SaleChannelManager extends BaseService<SaleChannelDO> {
    /**
     * 分页列表
     *
     * @param queryParams 查询条件
     * @return 分页数据
     */
    WebPage<SaleChannelV0> list(SaleChannelQueryParams queryParams);

    /**
     * 添加
     *
     * @param saleChannelDO 新增数据
     */
    void add(SaleChannelDO saleChannelDO);

    /**
     * 编辑
     *
     * @param saleChannelDO 更新数据
     */
    void edit(SaleChannelDO saleChannelDO);

    /**
     * 查询详情
     *
     * @param id 主键
     * @return 详情数据
     */
    SaleChannelV0 getDetail(Long id);

    /**
     * 删除
     *
     * @param id 主键集合
     */
    void delete(Long id);

}

