package com.hys.app.service.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.EnterpriseDO;
import com.hys.app.model.erp.dos.ProductStockDO;
import com.hys.app.model.erp.dto.EnterpriseDTO;
import com.hys.app.model.erp.dto.EnterpriseQueryParams;
import com.hys.app.model.erp.vo.EnterpriseVO;
import com.hys.app.model.erp.vo.GoodsSnVO;
import com.hys.app.model.erp.vo.ProductStockVO;
import com.hys.app.model.erp.vo.ProductVO;

import java.util.List;
import java.util.Map;

/**
 * 企业业务层接口
 *
 * @author 张崧
 * 2024-03-25 15:44:10
 */
public interface ScanCodeManager extends BaseService<ProductStockDO> {

    /**
     * 扫各种码获取
     *
     * @param
     * @param orderCode
     * @return
     */
    Map<String, Object> getListByScan(String orderCode);


    /**
     * 扫描sku
     *
     * @param productCode
     * @param warehouseId
     * @return
     */
    ProductStockVO getProduct(String productCode, Long warehouseId);

    /**
     * 扫描序列号
     *
     * @param sku
     * @param snCode
     * @return
     */
    GoodsSnVO getSnCode(String sku, String snCode,String type);
}

