package com.hys.app.service.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseService;
import com.hys.app.model.erp.dos.UserMenuDO;
import com.hys.app.model.erp.dto.UserMenuDto;
import com.hys.app.model.erp.dto.UserMenuQueryParams;

/**
 * 商品业务层接口
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
public interface UserMenuManager extends BaseService<UserMenuDO> {
    /**
     * 分页列表
     *
     * @param queryParams 查询条件
     * @return 分页数据
     */
    WebPage<UserMenuDto> list(UserMenuQueryParams queryParams);

    /**
     * 添加
     *
     * @param request
     */
    void add(UserMenuDto request);



    /**
     * 删除
     *
     * @param id
     */
    void delete(Long id);

}

