package com.hys.app.service.erp.impl;

import cn.hutool.core.collection.CollUtil;
import com.hys.app.converter.erp.MenusConverter;
import com.hys.app.converter.erp.UserMenuConverter;
import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseServiceImpl;
import com.hys.app.framework.exception.ServiceException;
import com.hys.app.framework.rabbitmq.MqMessage;
import com.hys.app.framework.util.StringUtil;
import com.hys.app.mapper.erp.UserMenuMapper;
import com.hys.app.model.base.rabbitmq.AmqpExchange;
import com.hys.app.model.erp.dos.*;
import com.hys.app.model.erp.dto.*;
import com.hys.app.model.erp.dto.message.GoodsChangeMessage;
import com.hys.app.model.erp.vo.GoodsVO;
import com.hys.app.model.erp.vo.ProductVO;
import com.hys.app.model.goods.dos.BrandDO;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import com.hys.app.model.goods.vo.GoodsParamsGroupVO;
import com.hys.app.model.system.vo.MenuVO;
import com.hys.app.service.erp.*;
import com.hys.app.service.system.MenuManager;
import com.hys.app.util.ValidateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;

import static com.hys.app.framework.util.CollectionUtils.convertList;

/**
 * 商品业务层实现
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Service
public class UserMenuManagerImpl extends BaseServiceImpl<UserMenuMapper, UserMenuDO> implements UserMenuManager {

    @Autowired
    private UserMenuConverter converter;



    @Autowired
    private MenuManager menuManager;
    @Autowired
    private MenusConverter menusConverter;

    @Override
    public WebPage<UserMenuDto> list(UserMenuQueryParams queryParams) {
        WebPage<UserMenuDO> webPage = baseMapper.selectPage(queryParams);
        WebPage<UserMenuDto> webPage1=converter.convert(webPage);
        for(UserMenuDto vo:webPage1.getData()){
            MenuVO menuVO=menusConverter.convert(menuManager.getModel(vo.getMenuId()));
            vo.setMenuVO(menuVO);
        }
        return webPage1;
    }



    @Override
    @Transactional(rollbackFor = Exception.class)
    public void add(UserMenuDto request) {
        super.save(converter.convert(request));
      }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void delete(Long id) {
        // 删除商品
        removeById(id);
    }

}

