package com.hys.app.service.kuaidiniao.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Max;
import javax.validation.constraints.NotBlank;
import java.util.List;

/**
 * 预下单参数
 */
@Data
@TableName("erp_store_kdn")
public class CreateStoreModel {

    private Long id;

    @ApiModelProperty(value = "1、storeCode平台门店编码(商家自定义门店编码，唯一)，个人即时配编码固定传storeCode；2、merchantCode快递鸟门店编码(商家门店编码映射KDN门店编码)个人即时配编码固传merchantCode”;3、平台门店编码和快递鸟门店编码必填一项，且两者只能同时填一项。")
    @NotBlank
    private String storeCode;

    @ApiModelProperty(value = "门店名称（自定义且不可重复，不允许出现“测试”、“test”等字眼）")
    @NotBlank
    private String storeName;

    @ApiModelProperty(value = "门店物品类型")
    @NotBlank
    private String storeGoodsType;

    @ApiModelProperty(value = "省")
    @NotBlank
    private String provinceName;

    @ApiModelProperty(value = "市")
    @NotBlank
    private String cityName;

    @ApiModelProperty(value = "县")
    @NotBlank
    private String areaName;

    @ApiModelProperty(value = "门店详细地址")
    @NotBlank
    private String address;

    @ApiModelProperty(value = "坐标类型1:百度地图、 2:高德地图 、3:腾讯地图")
    private Integer lbsType = 2;

    @ApiModelProperty(value = "经度,精确到小数点后5位")
    private String longitude;

    @ApiModelProperty(value = "纬度,精确到小数点后5位")
    private String latitude;

    @ApiModelProperty(value = "门店联系人姓名，存在配送员上门前联系门店场景，如没有找到门店，联系门店联系人进行确认")
    @NotBlank
    private String contactName;

    @ApiModelProperty(value = "门店联系人电话(门店联系人手机号和座机号必填一项)")
    @NotBlank
    private String mobile;

    @ApiModelProperty(value = "附件类型(有上传附件时，该字段必填)1：URL地址2：Base64（不支持) 3：图片hash值")
    private Integer attachType = 1;

    @ApiModelProperty(value = "身份证正面图片(使用美团、蜂鸟必填)")
    @NotBlank
    private String idCardFront;

    @ApiModelProperty(value = "身份证反面图片(使用美团、蜂鸟必填)")
    @NotBlank
    private String idCardBack;

    @ApiModelProperty(value = "身份证号(使用美团、蜂鸟必填)")
    @NotBlank
    private String idCard;

    @ApiModelProperty(value = "身份证姓名(使用美团、蜂鸟必填)")
    @NotBlank
    private String idCardName;

    @ApiModelProperty(value = "营业执照图片(使用美团、蜂鸟必填)")
    @NotBlank
    private String license;

    @ApiModelProperty(value = "社会统一信用代码(使用美团、蜂鸟必填)")
    @NotBlank
    private String creditCode;

    @ApiModelProperty(value = "门店照图片(使用美团、蜂鸟必填)")
    @NotBlank
    private String shopPicture;

    @ApiModelProperty(value = "门店拥有人手持身份证、营业执照图片(使用美团、蜂鸟必填)")
    @NotBlank
    private String handheldLicencePic;

    private String provinceCityArea;

    private String kdnStoreCode;

    private Integer ssStatus;
    private String ssReason;

    private Integer ddStatus;
    private String ddReason;

    private Integer mtStatus;
    private String mtReason;

    private Integer fnStatus;
    private String fnReason;


}
